﻿@page "/hotel"

@using NextHotel.BlazorApp.Pages.Hotel

<h3>Hotel List</h3>

<div class="row">
    <div class="col-12">
        <a href="hotel/create">
            Create <span class="oi oi-arrow-right" aria-hidden="true"></span>
        </a>
    </div>
</div>

<DataGrid Items="Hotels" Context="hotel">
    <TableHeader>
        <tr>
            <th>
                ID
            </th>
            <th>
                Name
            </th>
            <th>
                Action
            </th>
        </tr>
    </TableHeader>
    <RowTemplate>
        <tr>
            <td>@hotel.HotelId</td>
            <td>@hotel.HotelName</td>
            <td>
                <a href="hotel/view/@hotel.HotelId" class="btn btn-info">
                    View
                </a>
            </td>
        </tr>
    </RowTemplate>
</DataGrid>